<?php
/*
Plugin Name: Import Excel to Gravity Forms PRO
Plugin URI: wpgear.xyz/import-excel-to-gravity-forms-pro
Description: Bulk Import of Records from Excel (CSV) files for "Gravity Forms" with Validation and Internal Logic support. Try the <a href="http://wpgear.xyz/import-excel-to-gravity-forms-pro/">Demo</a> on a real Form.
Version: 1.12
Author: WPGear
Author URI: http://wpgear.xyz
License: GPLv2
*/
    
	$GFXLImportPro_plugin_url = plugin_dir_url( __FILE__);	// со слэшем на конце
	$GFXLImportPro_plugin_dir = plugin_dir_path( __FILE__);	// со слэшем на конце	
	
	$GFXLImport_CSV_Separator 			= get_option('gfxl_import_option_separator', ',');
	$GFXLImport_ValueType_for_Select 	= get_option('gfxl_import_option_valuetype_select', 'name');

	include_once(__DIR__ .'/includes/functions.php');
	include_once(__DIR__ .'/includes/loader.php');
	include_once(__DIR__ .'/includes/admin/admin.php');	
	
	/* AJAX Processing
	----------------------------------------------------------------- */
    add_action( 'wp_ajax_gfxl_import_pro', 'GFXLImportPro_Ajax' );
    function GFXLImportPro_Ajax(){
		include_once ('includes/ajax_processing.php');
    }	
