<?php
/*
 * WPGear. Import Excel to Gravity Forms PRO
 * loader.php
 */

	/* PRO. Styles & Scripts for Gravity Forms Pages.
	----------------------------------------------------------------- */		
	function GFXLImportPro_scripts ($form = '', $is_ajax = false) {
		$GFXLImportPro_Form_ID = $form['id'];		

		if (isset($form['gfxl_import'])) {
			// Следы обычной версии "Import Excel to Gravity Forms"
			if (isset($form['gfxl_import_pro'])) {
				$GFXLImportPro_Form_Enable = (isset($form['gfxl_import_pro']) && $form['gfxl_import_pro'] == 'on') ? 'checked' : '';
			} else {
				// Наследуем Настройки
				$GFXLImportPro_Form_Enable = (isset($form['gfxl_import']) && $form['gfxl_import'] == 'on') ? 'checked' : '';
			}
		} else {
			$GFXLImportPro_Form_Enable = (isset($form['gfxl_import_pro']) && $form['gfxl_import_pro'] == 'on') ? 'checked' : '';
		}		
		
		if ($GFXLImportPro_Form_Enable) {
			global $GFXLImportPro_plugin_url;
			global $GFXLImport_CSV_Separator;
			global $GFXLImport_ValueType_for_Select;
			
			wp_enqueue_script ('gfxl_import_pro', $GFXLImportPro_plugin_url .'includes/import_records.js');
			wp_enqueue_style ('gfxl_import_pro_style', $GFXLImportPro_plugin_url .'style.css');			
			wp_enqueue_style ('font-awesome_4.7', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');
			
			$GFXLImportPro_JS_Global = array (
				'CSV_Separator' => $GFXLImport_CSV_Separator,
				'ValueType_for_Select' => $GFXLImport_ValueType_for_Select,
				'Ajax_URL' => admin_url ('admin-ajax.php'),
			);
			
			wp_localize_script('gfxl_import_pro', 'GFXLImport_Params', $GFXLImportPro_JS_Global);
		} 	
	}	
	add_action ('gform_enqueue_scripts', 'GFXLImportPro_scripts', 10, 2 );
	