<?php
/*
	WPGear.
	Import Excel to Gravity Forms PRO
	uninstall.php
*/

	// if uninstall.php is not called by WordPress, die
	if (!defined('WP_UNINSTALL_PLUGIN')) {
		exit();
	}
	
	if (!function_exists ('GFXLImportPro_Check_Plugin_Installed')) {
		include_once(__DIR__ .'/includes/functions.php');
	}	
	
	if (GFXLImportPro_Check_Plugin_Installed ('gf-excel-import')) {
		// Нельзя удалять некоторые Общие Настройки, т.к. имеется Плагин "Import Excel to Gravity Forms"
	} else {	
		// Remove Plugin Options
		delete_option('gfxl_import_option_adminonly');
		delete_option('gfxl_import_option_separator');
	}